Subject: Re: [PATCH] iputils ping: add (non-raw) ICMP socket support

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Wed, 08 Apr 2015 17:56:47 +0900

Hi,

Salvatore Mesoraca wrote:
> From: Vasiliy Kulikov <[email-masked]>
> 
> This patch adds non-raw IPPROTO_ICMP socket kind support that was added
> to the Linux 3.0.  The patch is backward-compatible: if ICMP socket kind
> is not enabled in the kernel (either in case of an old kernel or
> explicitly disabled via /proc/sys/net/ipv4/ping_group_range), ping uses
> old privileged raw sockets as a fallback.
:
> This patch is going to be included in Ubuntu 15.10 and it is already
> included in Gentoo stable tree (at the moment of the writing ping has
> CAP_NET_RAW still enabled by default) it is also included in OpenWall
> since 2011.
> This patch also tries to sneak in a fix for a missing colon in a printf.
> I've tested it on Linux 3.17.7 and it worked without issues.

Please do not mix changes in a single commit.
Thanks.

-- 
Hideaki Yoshifuji <[email-masked]>
Technical Division, MIRACLE LINUX CORPORATION